Index: trunk/src/lib/gui/gl/Makefile.am
===================================================================
--- trunk/src/lib/gui/gl/Makefile.am	(revision 9240)
+++ trunk/src/lib/gui/gl/Makefile.am	(revision 9406)
@@ -13,5 +13,4 @@
 		\
 		glgui_handler.cc \
-		signal_connector.cc \
 		glgui_mainwidget.cc \
 		glgui_widget.cc \
@@ -38,5 +37,4 @@
 		glmenu/glmenu_imagescreen.h \
 		\
-		signal_connector.h \
 		glgui.h \
 		glgui_defs.h \
Index: trunk/src/lib/gui/gl/glgui_button.cc
===================================================================
--- trunk/src/lib/gui/gl/glgui_button.cc	(revision 9240)
+++ trunk/src/lib/gui/gl/glgui_button.cc	(revision 9406)
@@ -79,10 +79,10 @@
   {
     GLGuiWidget::clicking(pos);
-    emit(clicked());
+    clicked.emit();
   }
   void GLGuiButton::releasing(const Vector2D& pos, bool focused)
   {
     GLGuiWidget::releasing(pos, focused);
-    emit(released());
+    released.emit();
   }
 
@@ -103,7 +103,7 @@
     {
       if (event.bPressed)
-        emit(pushed());
+        clicked.emit();
       else
-        emit(released());
+        released.emit();
       return true;
     }
Index: trunk/src/lib/gui/gl/glgui_button.h
===================================================================
--- trunk/src/lib/gui/gl/glgui_button.h	(revision 9240)
+++ trunk/src/lib/gui/gl/glgui_button.h	(revision 9406)
@@ -42,6 +42,6 @@
       virtual bool processEvent(const Event& event);
 
-      DeclareSignal0(clicked);
-      DeclareSignal0(released);
+      sigslot::signal0<> clicked;
+      sigslot::signal0<> released;
 
 
Index: trunk/src/lib/gui/gl/glgui_checkbutton.cc
===================================================================
--- trunk/src/lib/gui/gl/glgui_checkbutton.cc	(revision 9240)
+++ trunk/src/lib/gui/gl/glgui_checkbutton.cc	(revision 9406)
@@ -55,5 +55,5 @@
   {
     this->bActive = bActive;
-    emit(this->toggled(this->bActive));
+    this->toggled.emit(this->bActive);
   }
 
Index: trunk/src/lib/gui/gl/glgui_checkbutton.h
===================================================================
--- trunk/src/lib/gui/gl/glgui_checkbutton.h	(revision 9240)
+++ trunk/src/lib/gui/gl/glgui_checkbutton.h	(revision 9406)
@@ -34,5 +34,5 @@
     virtual void update() {};
 
-    DeclareSignal1(toggled, bool);
+    sigslot::signal1<bool> toggled;
 
   protected:
Index: trunk/src/lib/gui/gl/glgui_frame.cc
===================================================================
--- trunk/src/lib/gui/gl/glgui_frame.cc	(revision 9240)
+++ trunk/src/lib/gui/gl/glgui_frame.cc	(revision 9406)
@@ -57,5 +57,5 @@
     else
     {
-      PRINTF(2)("Frame %s is already filled, not filling with %s\n", this->getName(), widget->getName());
+      PRINTF(2)("Frame %s is already filled, not filling with %s\n", this->getCName(), widget->getCName());
     }
   }
Index: trunk/src/lib/gui/gl/glgui_image.h
===================================================================
--- trunk/src/lib/gui/gl/glgui_image.h	(revision 9240)
+++ trunk/src/lib/gui/gl/glgui_image.h	(revision 9406)
@@ -34,5 +34,5 @@
     virtual void draw() const;
 
-    DeclareSignal0(imageChanged);
+    sigslot::signal0<> imageChanged;
 
   protected:
Index: trunk/src/lib/gui/gl/glgui_inputline.cc
===================================================================
--- trunk/src/lib/gui/gl/glgui_inputline.cc	(revision 9240)
+++ trunk/src/lib/gui/gl/glgui_inputline.cc	(revision 9406)
@@ -124,5 +124,5 @@
     this->resize();
     this->setFrontColor(Color(1,1,1,1), true);
-    emit(this->textChanged(this->_text.text()));
+    this->textChanged.emit(this->_text.text());
   }
 
@@ -146,5 +146,5 @@
   void GLGuiInputLine::pushEnter()
   {
-    emit(this->enterPushed(this->_text.text()));
+    this->enterPushed.emit(this->_text.text());
     if (this->_clearOnEnter)
       this->clear();
Index: trunk/src/lib/gui/gl/glgui_inputline.h
===================================================================
--- trunk/src/lib/gui/gl/glgui_inputline.h	(revision 9240)
+++ trunk/src/lib/gui/gl/glgui_inputline.h	(revision 9406)
@@ -49,6 +49,6 @@
     virtual bool processEvent(const Event& event);
 
-    DeclareSignal1(textChanged, const std::string&);
-    DeclareSignal1(enterPushed, const std::string&);
+    sigslot::signal1<const std::string&> textChanged;
+    sigslot::signal1<const std::string&> enterPushed;
 
   protected:
Index: trunk/src/lib/gui/gl/glgui_slider.cc
===================================================================
--- trunk/src/lib/gui/gl/glgui_slider.cc	(revision 9240)
+++ trunk/src/lib/gui/gl/glgui_slider.cc	(revision 9406)
@@ -77,5 +77,5 @@
     this->_handle.setCenter(this->sliderPosition(), borderTop() + (this->getSizeY2D() - borderTop() - borderBottom()) / 2.0);
 
-    emit(valueChanged(this->_value));
+    valueChanged.emit(this->_value);
   }
 
@@ -90,5 +90,5 @@
     {
       this->_minValue = minimum;
-      emit(rangeChanged(this->_minValue, this->_maxValue));
+      rangeChanged.emit(this->_minValue, this->_maxValue);
     }
     if (this->value() < this->min())
@@ -107,5 +107,5 @@
     {
       this->_maxValue = maximum;
-      emit(rangeChanged(this->_minValue, this->_maxValue));
+      rangeChanged.emit(this->_minValue, this->_maxValue);
     }
     if (this->value() > this->max())
@@ -126,5 +126,5 @@
       this->_minValue = minimum;
       this->_maxValue = maximum;
-      emit(rangeChanged(this->_minValue, this->_maxValue));
+      rangeChanged.emit(this->_minValue, this->_maxValue);
     }
     if (this->value() < this->min())
Index: trunk/src/lib/gui/gl/glgui_slider.h
===================================================================
--- trunk/src/lib/gui/gl/glgui_slider.h	(revision 9240)
+++ trunk/src/lib/gui/gl/glgui_slider.h	(revision 9406)
@@ -51,6 +51,6 @@
     virtual void draw() const;
 
-    DeclareSignal1(valueChanged, float);
-    DeclareSignal2(rangeChanged, float, float);
+    sigslot::signal1<float> valueChanged;
+    sigslot::signal2<float, float> rangeChanged;
 
   protected:
Index: trunk/src/lib/gui/gl/glgui_text.cc
===================================================================
--- trunk/src/lib/gui/gl/glgui_text.cc	(revision 9240)
+++ trunk/src/lib/gui/gl/glgui_text.cc	(revision 9406)
@@ -113,5 +113,5 @@
     this->resize();
     this->setFrontColor(_changedTextColor, true);
-    emit(this->textChanged(this->_text.text()));
+    this->textChanged.emit(this->_text.text());
   }
 
Index: trunk/src/lib/gui/gl/glgui_text.h
===================================================================
--- trunk/src/lib/gui/gl/glgui_text.h	(revision 9240)
+++ trunk/src/lib/gui/gl/glgui_text.h	(revision 9406)
@@ -33,4 +33,5 @@
     void setChangedTextColor(const Color& color);
 
+    void setLineWidth(float lineWidth) { this->_text.setLineWidth(lineWidth); };
     void setDotsPosition(LimitedWidthText::DotsPosition dotsPosition) { this->_text.setDotsPosition(dotsPosition); };
 
@@ -40,5 +41,5 @@
     virtual void draw() const;
 
-    DeclareSignal1(textChanged, const std::string&);
+    sigslot::signal1<const std::string&> textChanged;
 
   protected:
Index: trunk/src/lib/gui/gl/glgui_textfield.cc
===================================================================
--- trunk/src/lib/gui/gl/glgui_textfield.cc	(revision 9240)
+++ trunk/src/lib/gui/gl/glgui_textfield.cc	(revision 9406)
@@ -112,5 +112,5 @@
     this->resize();
     this->setFrontColor(_changedTextColor, true);
-    emit(this->textChanged(this->_text.text()));
+    this->textChanged.emit(this->_text.text());
   }
 
Index: trunk/src/lib/gui/gl/glgui_textfield.h
===================================================================
--- trunk/src/lib/gui/gl/glgui_textfield.h	(revision 9240)
+++ trunk/src/lib/gui/gl/glgui_textfield.h	(revision 9406)
@@ -38,5 +38,5 @@
     virtual void draw() const;
 
-    DeclareSignal1(textChanged, const std::string&);
+    sigslot::signal1<const std::string&> textChanged;
 
   protected:
Index: trunk/src/lib/gui/gl/glgui_widget.cc
===================================================================
--- trunk/src/lib/gui/gl/glgui_widget.cc	(revision 9240)
+++ trunk/src/lib/gui/gl/glgui_widget.cc	(revision 9406)
@@ -288,17 +288,4 @@
     this->setWidgetSize(Vector2D(x, y));
   }
-
-
-
-  void GLGuiWidget::connect(GLGuiWidget* sender, Signal& signal, BaseObject* receiver, Slot executor)
-  {
-    sender->connect(signal, receiver, executor);
-  }
-
-  void GLGuiWidget::connect(Signal& signal, BaseObject* receiver, Slot executor)
-  {
-    signal.push_back(SignalConnector(receiver, executor));
-  }
-
 
   void GLGuiWidget::show()
@@ -806,5 +793,5 @@
     //this->_currentStyle = this->_style[state];
     this->_state = state;
-    PRINTF(4)("%s::%s Switches to state %s\n", this->getClassName(), this->getName(), OrxGui::StateString[state].c_str());
+    PRINTF(4)("%s::%s Switches to state %s\n", this->getClassCName(), this->getCName(), OrxGui::StateString[state].c_str());
 
     this->animateBack();
@@ -874,7 +861,7 @@
   void GLGuiWidget::debug(unsigned int level) const
   {
-    PRINT(0)("Debug of %s::%s - WidgetPart ", this->getClassName(), this->getName());
+    PRINT(0)("Debug of %s::%s - WidgetPart ", this->getClassCName(), this->getCName());
     if (_parent != NULL)
-      PRINT(0)("- Parent %s::%s ", _parent->getClassName(), _parent->getName());
+      PRINT(0)("- Parent %s::%s ", _parent->getClassCName(), _parent->getCName());
     PRINT(0)("- State: %s", StateString[_state].c_str());
 
Index: trunk/src/lib/gui/gl/glgui_widget.h
===================================================================
--- trunk/src/lib/gui/gl/glgui_widget.h	(revision 9240)
+++ trunk/src/lib/gui/gl/glgui_widget.h	(revision 9406)
@@ -17,5 +17,5 @@
 
 #include "event.h"
-#include "signal_connector.h"
+#include "sigslot/signal.h"
 
 namespace OrxGui
@@ -70,9 +70,4 @@
     void release(const Vector2D& pos);
     bool clickable() const { return this->_clickable; };
-
-    static void connect(GLGuiWidget* sender, Signal& signal, BaseObject* receiver, Slot executor);
-    void connect(Signal& signal, BaseObject* receiver, Slot executor);
-
-    void disconnect(GLGuiWidget* sender, Signal& signal, BaseObject* receiver);
 
     OrxGui::State state() const { return this->_state; };
Index: trunk/src/lib/gui/gl/glmenu/glmenu_imagescreen.cc
===================================================================
--- trunk/src/lib/gui/gl/glmenu/glmenu_imagescreen.cc	(revision 9240)
+++ trunk/src/lib/gui/gl/glmenu/glmenu_imagescreen.cc	(revision 9406)
@@ -27,5 +27,5 @@
 CREATE_FACTORY(GLMenuImageScreen, CL_GLMENU_IMAGE_SCREEN);
 
-using namespace std;
+
 /**
  * @param root The Element to load the GLMenu from
Index: trunk/src/lib/gui/gl/signal_connector.cc
===================================================================
--- trunk/src/lib/gui/gl/signal_connector.cc	(revision 9240)
+++ 	(revision )
@@ -1,180 +1,0 @@
-/*
-   orxonox - the future of 3D-vertical-scrollers
-
-   Copyright (C) 2004 orx
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2, or (at your option)
-   any later version.
-
-   ### File Specific:
-   main-programmer: Benjamin Grauer
-   co-programmer: ...
-*/
-
-//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
-
-#include "signal_connector.h"
-
-namespace OrxGui
-{
-
-  /**
-   * @brief creates a clean SignalConnector
-   */
-  SignalConnector::SignalConnector( )
-  {
-    this->object = NULL;
-    this->exec = NULL;
-  }
-
-  /**
-   * @brief Creates a SignalConnector out of an ObjectPointer, and an Executor.
-   * @param object the Object the Executor will apply to.
-   * @param executor the Executor that will be executed.
-   * @return a new SignalConnector.
-   */
-  SignalConnector::SignalConnector(BaseObject* object, const Executor* executor)
-  {
-    this->object = object;
-    this->exec = executor;
-  };
-
-  /**
-   * @brief Creates a SignalConnector as a copy of another one.
-   * @param signalConnector The SignalConnector to copy.
-   */
-  SignalConnector::SignalConnector(const SignalConnector& signalConnector)
-  {
-    this->object = signalConnector.object;
-    this->exec = (signalConnector.exec == NULL) ? NULL : signalConnector.exec->clone();
-  }
-
-  /**
-   * @brief deletes a SignalConnector.
-   *
-   * frees the stored executor
-   */
-  SignalConnector::~SignalConnector()
-  {
-    delete exec;
-  }
-
-  /**
-   * @brief assignes a SignalConnector to the current one
-   * @param signalConnector the SignalConnector to assign to this one
-   * @return A Reference to this SignalConnector.
-   */
-  SignalConnector& SignalConnector::operator=(const SignalConnector& signalConnector)
-  {
-    delete this->exec;
-    this->object = signalConnector.object;
-    this->exec = (signalConnector.exec == NULL) ? NULL : signalConnector.exec->clone();
-
-    return *this;
-  }
-
-
-  /**
-   * @brief compares two SignalConnectors.
-   * @param signalConnector the SignalConnector to compare against this one.
-   * @return true if the Connectors are the same.
-   */
-  bool SignalConnector::operator==(const SignalConnector& signalConnector) const
-  {
-    return (this->object == signalConnector.object /* && this->exec == signalConnector.exec */ );
-  }
-
-
-  /**
-   * @brief Executes the SignalConnector.
-   */
-  void SignalConnector::operator()() const
-  {
-    if (this->isValid())
-    {
-      static int count = 0;
-      (*this->exec)(this->object, count, NULL);
-    }
-  }
-
-  /**
-   * @brief Executes the SignalConnector.
-   * @param value0 First Value.
-   */
-  void SignalConnector::operator()(const MultiType& value0) const
-  {
-    if (exec != NULL && object != NULL)
-    {
-      static int count = 1;
-      (*this->exec)(this->object, count, (void*)&value0);
-    }
-  }
-
-  /**
-   * @brief Executes the SignalConnector.
-   * @param value0 First Value
-   * @param value1 Second Value
-   */
-  void SignalConnector::operator()(const MultiType& value0, const MultiType& value1) const
-  {
-    if (exec != NULL && object != NULL)
-    {
-      static int count = 2;
-      MultiType mt[] = { value0, value1 };
-      (*this->exec)(this->object, count, mt);
-    }
-  }
-
-  /**
-   * @brief Executes the SignalConnector.
-   * @param value0 First Value
-   * @param value1 Second Value
-   * @param value2 Third Value
-   */
-  void SignalConnector::operator()(const MultiType& value0, const MultiType& value1, const MultiType& value2) const
-  {
-    if (exec != NULL && object != NULL)
-    {
-      static int count = 3;
-      MultiType mt[] = { value0, value1, value2 };
-      (*this->exec)(this->object, count, mt);
-    }
-  }
-
-  /**
-   * @brief Executes the SignalConnector.
-   * @param value0 First Value
-   * @param value1 Second Value
-   * @param value2 Third Value
-   * @param value3 Fourth Value
-   */
-  void SignalConnector::operator()(const MultiType& value0, const MultiType& value1, const MultiType& value2, const MultiType& value3) const
-  {
-    if (exec != NULL && object != NULL)
-    {
-      static int count = 4;
-      MultiType mt[] = { value0, value1, value2, value3 };
-      (*this->exec)(this->object, count, mt);
-    }
-  }
-
-  /**
-   * @brief Executes the SignalConnector.
-   * @param value0 First Value
-   * @param value1 Second Value
-   * @param value2 Third Value
-   * @param value3 Fourth Value
-   * @param value3 Fifth Value
-   */
-  void SignalConnector::operator()(const MultiType& value0, const MultiType& value1, const MultiType& value2, const MultiType& value3, const MultiType& value4) const
-  {
-    if (exec != NULL && object != NULL)
-    {
-      static int count = 5;
-      MultiType mt[] = { value0, value1, value2, value3, value4 };
-      (*this->exec)(this->object, count, mt);
-    }
-  }
-}
Index: trunk/src/lib/gui/gl/signal_connector.h
===================================================================
--- trunk/src/lib/gui/gl/signal_connector.h	(revision 9240)
+++ 	(revision )
@@ -1,186 +1,0 @@
-/*!
- * @file signal_connector.h
- * @brief Definition of a SignalConnector class
-*/
-
-#ifndef _SIGNAL_CONNECTOR_H
-#define _SIGNAL_CONNECTOR_H
-
-#include "executor/executor.h"
-
-namespace OrxGui
-{
-
-  //////////////// TO BE IGNORED BY YOU /////
-#define DeclareSignalBegin(SignalName) \
-  public: \
-   void signal_ ## connect ## SignalName(const SignalConnector& connector) { \
-     SignalName ## connected.push_back(connector); \
-}\
-   Signal& getSignalVector_##SignalName () { return this->SignalName ## connected; }; \
-  private:
-
-#define DeclareSignalEnd(SignalName) \
-  Signal SignalName ## connected
-  /////////////////////////////////////////////
-
-
-  /**
-   * @brief declares a new Signal.
-   * @param SignalName the Name of the Signal.
-   */
-#define DeclareSignal0(SignalName) \
-  DeclareSignalBegin(SignalName) \
-   void  SignalName () { \
-     for (unsigned int i = 0; i < SignalName ## connected .size(); i++) \
-       SignalName ## connected[i] (); \
-   }\
-     DeclareSignalEnd(SignalName)
-
-
-  /**
-   * @brief declares a new Signal.
-   * @param SignalName the Name of the Signal.
-   * @param param0 the first Parameter the Function takes
-   */
-#define DeclareSignal1(SignalName, param0) \
-  DeclareSignalBegin(SignalName) \
-   void  SignalName (param0 val0) { \
-     for (unsigned int i = 0; i < SignalName ## connected .size(); i++) \
-       SignalName ## connected[i] (val0); \
-    }\
-    DeclareSignalEnd(SignalName)
-
-  /**
-   * @brief declares a new Signal.
-   * @param SignalName the Name of the Signal.
-   * @param param0 the first Parameter the Function takes
-   * @param param1 the second Parameter the Function takes
-   */
-#define DeclareSignal2(SignalName, param0, param1) \
-  DeclareSignalBegin(SignalName) \
-   void  SignalName (param0 val0, param1 val1) { \
-     for (unsigned int i = 0; i < SignalName ## connected .size(); i++) \
-       SignalName ## connected[i] (val0, val1); \
-}\
-    DeclareSignalEnd(SignalName)
-
-
-
-  /**
-   * @brief declares a new Signal.
-   * @param SignalName the Name of the Signal.
-   * @param param0 the first Parameter the Function takes
-   * @param param1 the second Parameter the Function takes
-   * @param param2 the third Parameter the Function takes
-   */
-#define DeclareSignal3(SignalName, param0, param1, param2) \
-  DeclareSignalBegin(SignalName) \
-   void  SignalName (param0 val0, param1 val1, param2 val2) { \
-     for (unsigned int i = 0; i < SignalName ## connected .size(); i++) \
-       SignalName ## connected[i] (val0, val1, val2); \
-}\
-    DeclareSignalEnd(SignalName)
-
-  /**
-   * @brief declares a new Signal.
-   * @param SignalName the Name of the Signal.
-   * @param param0 the first Parameter the Function takes
-   * @param param1 the second Parameter the Function takes
-   * @param param2 the third Parameter the Function takes
-   * @param param3 the fourth Parameter the Function takes
-   */
-#define DeclareSignal4(SignalName, param0, param1, param2, param3) \
-  DeclareSignalBegin(SignalName) \
-   void  SignalName (param0 val0, param1 val1, param2 val2, param3 val3) { \
-     for (unsigned int i = 0; i < SignalName ## connected .size(); i++) \
-       SignalName ## connected[i] (val0, val1, val2, val3); \
-}\
-    DeclareSignalEnd(SignalName)
-
-
-  /**
-   * @brief declares a new Signal.
-   * @param SignalName the Name of the Signal.
-   * @param param0 the first Parameter the Function takes
-   * @param param1 the second Parameter the Function takes
-   * @param param2 the third Parameter the Function takes
-   * @param param4 the fifth Parameter the Function takes
-   */
-#define DeclareSignal5(SignalName, param0, param1, param2, param3, param4) \
-  DeclareSignalBegin(SignalName) \
-   void  SignalName (param0 val0, param1 val1, param2 val2, param3 val3, param4 val4) { \
-     for (unsigned int i = 0; i < SignalName ## connected .size(); i++) \
-       SignalName ## connected[i] (val0, val1, val2, val3, val4); \
-}\
-    DeclareSignalEnd(SignalName)
-
-
-  /**
-   * @brief selects a Signal.
-   * @param SignalName the Signal to be retrieved.
-   */
-#define SIGNAL(Object, SignalName) \
-    Object->getSignalVector_##SignalName()
-
-  /**
-   * @brief defines a Slot, the sink of a Signal.
-   * @param Class the Class the Slot belongs to.
-   * @param function the Function to Connect to.
-   */
-#define SLOT(Class, function) \
-    createExecutor<Class>(&Class::function)
-
-  /**
-   * @brief emits function
-   */
-#define emit(function) function
-
-  //! A class for Conncting Signals to Objects, inside of the Graphical user interface.
-  /**
-   * The SignalConnector binds an Object to a Functional (Executor)
-   * The Usage is quite easy in the Widget for this:
-   *
-   * int the header (Class Definition) you can add a definition of a Signal with:
-   * @verbatim DeclareSignal3(my_signal, int, int, float)
-   * and a Signal with the the Parameters int,int and float will be created.
-   *
-   * now you can use the connect function of GLWidget to connect this Signal to a Slot.
-   * @see GLGuiWidget::connect
-   */
-  class SignalConnector
-  {
-  public:
-    SignalConnector();
-    SignalConnector(BaseObject* object, const Executor* exec);
-    SignalConnector(const SignalConnector& signalConnector);
-    ~SignalConnector();
-
-    SignalConnector& operator=(const SignalConnector& signalConnector);
-    bool operator==(const SignalConnector& signalConnector) const;
-
-    void operator()() const;
-    void operator()(const MultiType& value0) const;
-    void operator()(const MultiType& value0, const MultiType& value1) const;
-    void operator()(const MultiType& value0, const MultiType& value1, const MultiType& value2) const;
-    void operator()(const MultiType& value0, const MultiType& value1, const MultiType& value2, const MultiType& value3) const;
-    void operator()(const MultiType& value0, const MultiType& value1, const MultiType& value2, const MultiType& value3, const MultiType& value4) const;
-
-    /** checks wether the SignalConnector is valid @return true on valid. */
-    bool isValid() const { return (this->object && this->exec); };
-    /** @brief checks if the SignalConnector is clean, invalid @returns true if invalid */
-    bool isClean() const { return (this->object == NULL || this->exec == NULL); }
-
-
-  private:
-    BaseObject*          object;         //!< The object to call.
-    const Executor*      exec;           //!< The Executor, that will be called, on object.
-  };
-
-  //! TypeDefinition for SignalLists
-  typedef std::vector<SignalConnector> Signal;
-  //! TypeDefinition for a Slot.
-  typedef Executor*                    Slot;
-
-}
-#endif /* _SIGNAL_CONNECTOR_H */
Index: trunk/src/lib/gui/gui_saveable.cc
===================================================================
--- trunk/src/lib/gui/gui_saveable.cc	(revision 9240)
+++ trunk/src/lib/gui/gui_saveable.cc	(revision 9406)
@@ -60,12 +60,12 @@
   void Saveable::load()
   {
-    this->value() = Preferences::getInstance()->getMultiType(this->group->getName(), this->getName(), this->_defaultValue);
-    PRINTF(4)("Loaded to '%s' of group '%s' value '%s'\n", this->getName(), this->group->getName(), this->value().getCString());
+    this->value() = Preferences::getInstance()->getMultiType(this->group->getCName(), this->getCName(), this->_defaultValue);
+    PRINTF(4)("Loaded to '%s' of group '%s' value '%s'\n", this->getCName(), this->group->getCName(), this->value().getCString());
   }
 
   void Saveable::save()
   {
-    Preferences::getInstance()->setMultiType(this->group->getName(), this->getName(), this->value() );
-    PRINTF(4)("Saved to '%s' of group '%s' value '%s'\n", this->getName(), this->group->getName(), this->value().getCString());
+    Preferences::getInstance()->setMultiType(this->group->getCName(), this->getCName(), this->value() );
+    PRINTF(4)("Saved to '%s' of group '%s' value '%s'\n", this->getCName(), this->group->getCName(), this->value().getCString());
   }
 
Index: trunk/src/lib/gui/qt/gui_video.cc
===================================================================
--- trunk/src/lib/gui/qt/gui_video.cc	(revision 9240)
+++ trunk/src/lib/gui/qt/gui_video.cc	(revision 9406)
@@ -50,11 +50,15 @@
       layout->addWidget(fullscreen, 0, 0);
 
+      QtGuiCheckBox* dedicated = new QtGuiCheckBox(CONFIG_NAME_NO_RENDER, this, false);
+      //fullscreen->setName();
+      layout->addWidget(dedicated, 1, 0);
+
       QtGuiCheckBox* wireframe = new QtGuiCheckBox(CONFIG_NAME_WIREFRAME, this, false);
-      layout->addWidget(wireframe, 1, 0);
+      layout->addWidget(wireframe, 2, 0);
 
       {
         QComboBox* resolution = new QtGuiComboBox(CONFIG_NAME_RESOLUTION, this, "640x480");
         resolution->setEditable(true);
-        layout->addWidget(resolution, 2, 0);
+        layout->addWidget(resolution, 3, 0);
         std::vector<QString> resolutions;
         this->getResolutions(resolutions);
